# Vendor Managemment

## GET /ux/common/vendor/vendor/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Vendor":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string"},"name":{"type":"string"},"vendor_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor_name":{"type":"string"},"status":{"type":"integer"},"type":{"type":"integer"},"web_url":{"type":"string"},"location":{"type":"object","additionalProperties":{}},"contact_person":{"type":"string"},"email":{"type":"string"},"phone_number":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"created_by":{"type":"integer"},"modified_by":{"type":"integer"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["id","name","organization","vendor_id"]}}},"paths":{"/ux/common/vendor/vendor/":{"get":{"operationId":"ux_common_vendor_vendor_list","description":"API endpoint that allows users to be viewed or edited.","tags":["Vendor Managemment"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Vendor"}}}},"description":""}}}}}}
```

## POST /ux/common/vendor/vendor/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Vendor":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string"},"name":{"type":"string"},"vendor_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor_name":{"type":"string"},"status":{"type":"integer"},"type":{"type":"integer"},"web_url":{"type":"string"},"location":{"type":"object","additionalProperties":{}},"contact_person":{"type":"string"},"email":{"type":"string"},"phone_number":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"created_by":{"type":"integer"},"modified_by":{"type":"integer"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["id","name","organization","vendor_id"]}}},"paths":{"/ux/common/vendor/vendor/":{"post":{"operationId":"ux_common_vendor_vendor_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Vendor Managemment"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vendor"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Vendor"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Vendor"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vendor"}}},"description":""}}}}}}
```

## Gets a vendor with the given id

> This endpoint is used to fetch a vendor details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Vendor":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string"},"name":{"type":"string"},"vendor_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor_name":{"type":"string"},"status":{"type":"integer"},"type":{"type":"integer"},"web_url":{"type":"string"},"location":{"type":"object","additionalProperties":{}},"contact_person":{"type":"string"},"email":{"type":"string"},"phone_number":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"created_by":{"type":"integer"},"modified_by":{"type":"integer"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["id","name","organization","vendor_id"]}}},"paths":{"/ux/common/vendor/vendor/{id}/":{"get":{"operationId":"ux_common_vendor_vendor_retrieve","description":"This endpoint is used to fetch a vendor details in the current organization","summary":"Gets a vendor with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Vendor Managemment"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vendor"}}},"description":""}}}}}}
```

## PUT /ux/common/vendor/vendor/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Vendor":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string"},"name":{"type":"string"},"vendor_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor_name":{"type":"string"},"status":{"type":"integer"},"type":{"type":"integer"},"web_url":{"type":"string"},"location":{"type":"object","additionalProperties":{}},"contact_person":{"type":"string"},"email":{"type":"string"},"phone_number":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"created_by":{"type":"integer"},"modified_by":{"type":"integer"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["id","name","organization","vendor_id"]}}},"paths":{"/ux/common/vendor/vendor/{id}/":{"put":{"operationId":"ux_common_vendor_vendor_update","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Vendor Managemment"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vendor"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Vendor"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Vendor"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vendor"}}},"description":""}}}}}}
```

## Deletes the vendor with given id

> This endpoint is used to delete an existing vendor for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/vendor/vendor/{id}/":{"delete":{"operationId":"ux_common_vendor_vendor_destroy","description":"This endpoint is used to delete an existing vendor for the current organization","summary":"Deletes the vendor with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Vendor Managemment"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /ux/common/vendor/vendor/options/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Vendor":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string"},"name":{"type":"string"},"vendor_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor_name":{"type":"string"},"status":{"type":"integer"},"type":{"type":"integer"},"web_url":{"type":"string"},"location":{"type":"object","additionalProperties":{}},"contact_person":{"type":"string"},"email":{"type":"string"},"phone_number":{"type":"object","additionalProperties":{}},"description":{"type":"string"},"created_by":{"type":"integer"},"modified_by":{"type":"integer"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["id","name","organization","vendor_id"]}}},"paths":{"/ux/common/vendor/vendor/options/":{"get":{"operationId":"ux_common_vendor_vendor_options_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Vendor Managemment"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Vendor"}}},"description":""}}}}}}
```
